mac debug unit tests have frequent leaks in mochitest-chrome, leaking two DOMWINDOWs opened in test_unknownContentType_dialog_layout.xul

RESOLVED WORKSFORME

Status

()

defect
RESOLVED WORKSFORME
10 years ago
7 years ago

People

(Reporter: dbaron, Unassigned)

Tracking

({intermittent-failure, memory-leak})

Trunk
x86
macOS
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(blocking2.0 -, status1.9.2 ?)

Details

Attachments

(2 attachments)

The Mac debug unit tests are showing frequent leaks in mochitest-chrome (probably close to half the runs).

Ted found that the two DOM windows that are leaked are the ones created here:

6926 INFO TEST-PASS | chrome://mochikit/content/chrome/toolkit/mozapps/downloads
/tests/chrome/test_unkownContentType_dialog_layout.xul | Element with id normalB
ox has property collapsed set to true
pldhash: for the table at address 0xf2cf868, the given entrySize of 48 probably 
favors chaining over double hashing.
++DOCSHELL 0xf2cf800 == 23
++DOMWINDOW == 60 (0xf1b1100) [serial = 775] [outer = 0x0]
++DOMWINDOW == 61 (0x8dcbaf0) [serial = 776] [outer = 0xf1b10d0]
WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80520012: file /builds/s
lave/mozilla-central-macosx-debug/build/layout/style/nsCSSLoader.cpp, line 1997
6927 INFO TEST-PASS | chrome://mochikit/content/chrome/toolkit/mozapps/downloads
/tests/chrome/test_unkownContentType_dialog_layout.xul | Element with id basicBo
x has property collapsed set to true
I started looking to see if this started recently.  The same two windows were leaked in a log:

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1259619581.1259626400.25920.gz
OS X 10.5.2 mozilla-central debug test everythingelse on 2009/11/30 14:19:41
The three oldest occurrences I could find were:

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258196336.1258202160.29470.gz
OS X 10.5.2 mozilla-central debug test everythingelse on 2009/11/14 02:58:56

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1258143443.1258151284.17778.gz
OS X 10.5.2 mozilla-central debug test everythingelse on 2009/11/13 12:17:23

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox-Unittest/1257920294.1257926208.3330.gz
OS X 10.5.2 mozilla-central debug test everythingelse on 2009/11/10 22:18:14

Tinderbox history currently goes back to 2009/11/08 09:03:34, so that doesn't necessarily mean much, other than that it's gotten more frequent since then.

However, there were a decent number of timeouts / T-FAILs, etc., on these tests back then, though, so that could have been covering up some of the frequency.
Summary: mac debug unit tests have frequent leaks in mochitest-chrome → mac debug unit tests have frequent leaks in mochitest-chrome, leaking two DOMWINDOWs opened in test_unkownContentType_dialog_layout.xul
And the way to check that a leak is this bug is to download the full log, and then run (all on one line):

grep DOMWINDOW maclog |
sed 's/.*DOMWINDOW == [^ ]* \(.*serial = [0-9]\+\).*/\1/' | sort  | uniq -c |
sort -n | less -S

and check that the two addresses that show up with counts of "1" rather than "2" (or 4, etc.) are the two that were opened between the two test results given in comment 0.
Is it possible that cancelDialog() isn't really done when SimpleTest.finish() is called, and that it then doesn't actually finish closing the dialog, or something like that?
Blocks: 445005
Or would extra windows being open cause other failures that we'd see?
Not sure if this caused the leak, but adding load event listeners when getting domwindowclosed notifications surely doesn't help. win.focus() from bug 498805 also doesn't seem to make any sense for this test. It's unlikely to cause problems, but I'd like to get rid of it just in case.
Attachment #420720 - Flags: review?(sdwilsh)
Current frequency looks like this:

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262959030.1262965150.14399.gz
OS X 10.5.2 mozilla-central debug test everythingelse on 2010/01/08 05:57:10  

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262957521.1262964025.1123.gz
OS X 10.5.2 mozilla-central debug test everythingelse on 2010/01/08 05:32:01  

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262929849.1262936623.10551.gz
OS X 10.5.2 mozilla-central debug test everythingelse on 2010/01/07 21:50:49  

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262917923.1262921620.9271.gz
OS X 10.5.2 mozilla-central debug test everythingelse on 2010/01/07 18:32:03  

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262900635.1262909525.5737.gz
OS X 10.5.2 mozilla-central debug test everythingelse on 2010/01/07 13:43:55  

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262886778.1262895932.15347.gz
OS X 10.5.2 mozilla-central debug test everythingelse on 2010/01/07 09:52:58  

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1262886761.1262895341.8733.gz
OS X 10.5.2 mozilla-central debug test everythingelse on 2010/01/07 09:52:41  

And that's not quite a full 24-hour range; I got tired of checking all of them.
Attachment #420720 - Flags: review?(sdwilsh) → review+
Comment on attachment 420720 [details] [diff] [review]
test cleanup
[Checkin: Comment 9]

r=sdwilsh
Assignee: nobody → dao
Ted, I intentionally didn't assign the to me, as I don't know if my patch will make a difference and I currently don't have ideas beyond this. Everybody should feel encouraged to contribute thoughts or patches.

But maybe I'm lucky...

http://hg.mozilla.org/mozilla-central/rev/6a7294d0f305
First result is green, but unless I'm missing something, there was no such leak during the last 12 hours, so this doesn't really mean anything.
Looks like there haven't been any occurrences since the ones in comment 7.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263116117.1263122113.12715.gz
OS X 10.5.2 mozilla-central debug test everythingelse on 2010/01/10 01:35:17
All the ones since my last comment are:

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263128738.1263135554.19735.gz
OS X 10.5.2 mozilla-central debug test everythingelse on 2010/01/10 05:05:38  

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263157469.1263163471.5103.gz
OS X 10.5.2 mozilla-central debug test everythingelse on 2010/01/10 13:04:29  

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263170967.1263177176.25210.gz
OS X 10.5.2 mozilla-central debug test everythingelse on 2010/01/10 16:49:27
Assignee: dao → nobody
(In reply to comment #4)
> Is it possible that cancelDialog() isn't really done when SimpleTest.finish()
> is called, and that it then doesn't actually finish closing the dialog, or
> something like that?

I think the answer to this is no... Note that the test is now explicitly waiting for domwindowclosed and wouldn't pass without it.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263233309.1263239328.10834.gz
OS X 10.5.2 mozilla-central debug test everythingelse on 2010/01/11 10:08:29  

(I checked the whole interval since the previous ones, and this is the only one)
The sed script didn't work for me on Mac. I used this Perl script instead:

#!/usr/bin/perl -w
my %w = ();
while (<>) {
  if (/^TinderboxPrint:/) { print $_; }
  elsif (/^INFO | automation.py | Application ran for/) {
    foreach $k (sort(keys(%w))) { print "Leaked window [serial = $k]\n"; }
    %w = ();
  }
  elsif (/^\+\+DOMWINDOW.*\[serial = (\d+)\]/) { $w{$1} = 1; }
  elsif (/^--DOMWINDOW.*\[serial = (\d+)\]/) { delete $w{$1}; }
}
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263256982.1263263074.13912.gz
OS X 10.5.2 mozilla-central debug test everythingelse on 2010/01/11 16:43:02
s: moz2-darwin9-slave14
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1263312619.1263319769.2095.gz
OS X 10.5.2 mozilla-central debug test everythingelse on 2010/01/12 08:10:19
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264089970.1264091796.23248.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/01/21 08:06:10  

(confirmed with steps in comment 3)
No longer blocks: 523385
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266765049.1266766878.8242.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/02/21 07:10:49
s: moz2-darwin9-slave10
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 702115 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1266771799.1266773599.32076.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/02/21 09:03:19
s: moz2-darwin9-slave12
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 703071 bytes during test execution
Probably a fair percentage of the instances of this are being siphoned off by bug 504340 - only four of the logs there are still available, but one of those four,

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267026666.1267028695.27523.gz&fulltext=1
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/02/24 07:51:06
s: moz2-darwin9-slave20

was this.
Blocks: 438871
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267690862.1267694032.19927.gz&fulltext=1
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/04 00:21:02
s: moz2-darwin9-slave21
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267702019.1267704015.23341.gz&fulltext=1
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/04 03:26:59
s: moz2-darwin9-slave19
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267724716.1267727771.29318.gz&fulltext=1
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/04 09:45:16
s: moz2-darwin9-slave18
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267728894.1267732146.11800.gz&fulltext=1
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/04 10:54:54
s: moz2-darwin9-slave13
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267798012.1267800084.2918.gz&fulltext=1
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/05 06:06:52
s: moz2-darwin9-slave11
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267792308.1267794481.15130.gz&fulltext=1
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/05 04:31:48
s: moz2-darwin9-slave02
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267782298.1267784375.13061.gz&fulltext=1
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/05 01:44:58
s: moz2-darwin9-slave19
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267804909.1267806835.23963.gz&fulltext=1
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/05 08:01:49
s: moz2-darwin9-slave15
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267815852.1267818320.23927.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/05 11:04:12
s: moz2-darwin9-slave19

(I originally attributed this log to bug 504340, but philor says in bug 504340 comment 67 that it's actually this bug.)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267821000.1267823336.5639.gz&fulltext=1
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/05 12:30:00
s: moz2-darwin9-slave10
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1267820282.1267822543.3323.gz&fulltext=1
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/05 12:18:02
s: moz2-darwin9-slave16
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268133119.1268134992.1848.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/09 03:11:59
s: moz2-darwin9-slave15
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268148525.1268150824.28528.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/09 06:15:41
s: bm-xserve09
(Following up comment #43)

Some of these leaks were real (and unrelated).  Marco Bonardo has backed out the patch for bug 543444 to fix them.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268152617.1268154706.8364.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/09 08:36:57
s: moz2-darwin9-slave21
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268171680.1268174619.2709.gz&fulltext=1
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/09 13:54:40
s: moz2-darwin9-slave19
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268198205.1268200296.4887.gz&fulltext=1
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/09 21:16:45
s: moz2-darwin9-slave14
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268209377.1268211152.29827.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/10 00:22:57
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268249499.1268251368.3974.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/10 11:31:39
s: moz2-darwin9-slave16
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268252257.1268254546.13071.gz&fulltext=1
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/10 12:17:37
s: moz2-darwin9-slave14
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268269931.1268272189.30534.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/10 17:12:11
s: moz2-darwin9-slave15
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268285230.1268287067.4358.gz&fulltext=1
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/10 21:27:10
s: moz2-darwin9-slave18
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268378134.1268380063.29918.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/11 23:15:34
s: moz2-darwin9-slave16
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268391192.1268393585.4268.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/12 02:53:12
s: moz2-darwin9-slave20
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268414012.1268415905.18108.gz&fulltext=1
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/12 09:13:32
s: moz2-darwin9-slave15
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268431706.1268433643.2615.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/12 14:08:26
s: moz2-darwin9-slave23
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268433304.1268435471.7109.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/12 14:35:04
s: moz2-darwin9-slave02
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 713095 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268438735.1268440646.20502.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/12 16:05:35
s: moz2-darwin9-slave02
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 713375 bytes during test execution
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268447010.1268449495.7160.gz&fulltext=1
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/12 18:23:30
s: moz2-darwin9-slave05
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268477234.1268478789.16931.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/13 02:47:14
s: bm-xserve12
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268500085.1268502107.2832.gz&fulltext=1
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/13 09:08:05
s: moz2-darwin9-slave23
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268512458.1268514763.1264.gz&fulltext=1
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/13 12:34:18
s: bm-xserve07
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268516820.1268519303.12473.gz&fulltext=1
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/13 13:47:00
s: moz2-darwin9-slave22
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268554858.1268556775.24569.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/14 00:20:58
s: moz2-darwin9-slave20
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268601486.1268604141.18217.gz&fulltext=1
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/14 14:18:06
s: moz2-darwin9-slave24
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268604248.1268607190.26397.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/14 15:04:08
s: moz2-darwin9-slave24
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268617326.1268619104.24748.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/14 18:42:06
s: moz2-darwin9-slave15
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268658167.1268660456.12146.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/15 06:02:47
s: moz2-darwin9-slave16
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268676321.1268678940.4836.gz&fulltext=1
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/15 11:05:21
s: moz2-darwin9-slave20
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268682654.1268685033.19942.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/15 12:50:54
s: moz2-darwin9-slave19
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268701986.1268704428.7005.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/15 18:13:06
s: bm-xserve09
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268787599.1268790308.12614.gz&fulltext=1
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/16 17:59:59
s: moz2-darwin9-slave22
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268817137.1268819944.23036.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/17 02:12:17
s: moz2-darwin9-slave24
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268832412.1268834181.9204.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/17 06:26:52  
s: moz2-darwin9-slave05
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268842028.1268843910.7948.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/17 09:07:08  
s: moz2-darwin9-slave21
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268856206.1268858805.18740.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/17 13:03:26
s: moz2-darwin9-slave20
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268930814.1268933704.16433.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/18 09:46:54
s: moz2-darwin9-slave20
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1268975915.1268978881.9106.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/18 22:18:35
s: moz2-darwin9-slave19
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269026133.1269027934.29072.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/19 12:15:33
s: moz2-darwin9-slave07
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269105538.1269107725.10321.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/20 10:18:58
s: moz2-darwin9-slave23
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269127307.1269129094.21343.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/20 16:21:47
s: moz2-darwin9-slave10
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269136307.1269138846.8435.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/20 18:51:47
s: moz2-darwin9-slave19
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269251935.1269253850.16300.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/22 02:58:55  
s: moz2-darwin9-slave42
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269353401.1269355246.29873.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/23 07:10:01
s: moz2-darwin9-slave10
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269381035.1269383210.16510.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/23 14:50:35
s: moz2-darwin9-slave06
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269391911.1269394229.15883.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/23 17:51:51
s: moz2-darwin9-slave18
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269407189.1269408937.18047.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/23 22:06:29
s: moz2-darwin9-slave43
Copied from bug 509071:
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1264472631.1264474286.11118.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/01/25 18:23:51

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269407189.1269408937.18047.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/23 22:06:29
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269423418.1269425309.27840.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/24 02:36:58
s: moz2-darwin9-slave43
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269443335.1269445534.1169.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/24 08:08:55
s: moz2-darwin9-slave02
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269452622.1269455348.31446.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/24 10:43:42
s: moz2-darwin9-slave20
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269453572.1269456430.1840.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/24 10:59:32
s: moz2-darwin9-slave24
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269555228.1269556875.4214.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/25 15:13:48
s: moz2-darwin9-slave42
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269561346.1269563225.7401.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/25 16:55:46
s: moz2-darwin9-slave21
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269568006.1269569886.1043.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/25 18:46:46
s: moz2-darwin9-slave21
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269631115.1269632970.24943.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/26 12:18:35
s: moz2-darwin9-slave21
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269706644.1269708406.21284.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/27 09:17:24
s: moz2-darwin9-slave09
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269769547.1269771257.8840.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/28 02:45:47
s: moz2-darwin9-slave10
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269881513.1269883120.24586.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/29 09:51:53
s: moz2-darwin9-slave38
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269978256.1269980147.16891.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/30 12:44:16
s: moz2-darwin9-slave24
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269985122.1269986416.4180.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/30 14:38:42
s: bm-xserve12
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269985856.1269987777.8503.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/30 14:50:56
s: moz2-darwin9-slave20
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1269987067.1269988848.12433.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/30 15:11:07
s: moz2-darwin9-slave09
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270026720.1270028420.22258.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/03/31 02:12:00  
s: moz2-darwin9-slave18
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270145614.1270147395.20225.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/01 11:13:34
s: moz2-darwin9-slave07
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270150647.1270152512.2247.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/01 12:37:27
s: moz2-darwin9-slave23
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270156765.1270158902.21263.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/01 14:19:25
s: moz2-darwin9-slave24
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270163824.1270165954.7798.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/01 16:17:04
s: moz2-darwin9-slave13
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270178856.1270180734.11915.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/01 20:27:36
s: moz2-darwin9-slave23
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270218927.1270220714.2402.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/02 07:35:27
s: moz2-darwin9-slave05
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270229954.1270231584.870.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/02 10:39:14
s: moz2-darwin9-slave42
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270273562.1270275228.8412.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/02 22:46:02
s: moz2-darwin9-slave43
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270481975.1270483717.3928.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/05 08:39:35
s: moz2-darwin9-slave02
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270505385.1270507241.13577.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/05 15:09:45
s: moz2-darwin9-slave21
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270513171.1270514844.2514.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/05 17:19:31
s: moz2-darwin9-slave18
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270515261.1270517174.8888.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/05 17:54:21
s: moz2-darwin9-slave19
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270526476.1270528190.2664.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/05 21:01:16
s: moz2-darwin9-slave09
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270539026.1270541036.5431.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/04/06 00:30:26
s: talos-r3-leopard-031
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270561523.1270563132.25818.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/06 06:45:23
s: moz2-darwin9-slave41
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270544558.1270546308.24560.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/06 02:02:38
s: moz2-darwin9-slave02
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270581901.1270583519.21983.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/06 12:25:01
s: moz2-darwin9-slave39
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270598378.1270600107.14993.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/06 16:59:38
s: moz2-darwin9-slave14
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270599928.1270601526.18944.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/04/06 17:25:28
s: talos-r3-leopard-036
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270600582.1270602471.21351.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/06 17:36:22
s: moz2-darwin9-slave19
Attachment #420720 - Attachment description: test cleanup → test cleanup [Checkin: Comment 9]
blocking2.0: --- → ?
Keywords: mlk
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270602518.1270604436.26536.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/06 18:08:38  

Confirmed using the steps in comment 3 that these are the two windows opened after:

7168 INFO TEST-PASS | chrome://mochikit/content/chrome/toolkit/mozapps/downloads/tests/chrome/test_unkownContentType_dialog_layout.xul | Element with id normalBox has property collapsed set to true

which now have serial numbers 910 and 911.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270608817.1270610551.10243.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/06 19:53:37
s: moz2-darwin9-slave02

Around 90% of the ones I've pasted have been confirmed (with the script in comment 16, since as roc said comment 3 didn't work for me on Mac), from which I can say that the serial numbers only matter within a single log: within the course of the half-dozen I look at every day, they wander between about 903 and 915, though I've never bothered to look at why there's such variance.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270613783.1270615478.23773.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/06 21:16:23
s: moz2-darwin9-slave16
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270620213.1270621924.6693.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/06 23:03:33  

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270620219.1270621854.6560.gz
Rev3 MacOSX Snow Leopard 10.6.2 mozilla-central debug test mochitest-other on 2010/04/06 23:03:39  

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270620225.1270621854.6559.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/04/06 23:03:45  

(all 3 checked per comment 3)
I just renamed test_unkownContentType_dialog_layout.xul to test_unknownContentType_dialog_layout.xul, as it was annoying me.

http://hg.mozilla.org/mozilla-central/rev/b703c6e2ac3f
http://hg.mozilla.org/releases/mozilla-1.9.2/rev/a2ab794bfff4
http://hg.mozilla.org/releases/mozilla-1.9.1/rev/0d4204a1f35d
Summary: mac debug unit tests have frequent leaks in mochitest-chrome, leaking two DOMWINDOWs opened in test_unkownContentType_dialog_layout.xul → mac debug unit tests have frequent leaks in mochitest-chrome, leaking two DOMWINDOWs opened in test_unknownContentType_dialog_layout.xul
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270627805.1270629861.25823.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/04/07 01:10:05
s: talos-r3-leopard-028
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270624708.1270626594.17829.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/07 00:18:28
s: moz2-darwin9-slave19
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270668143.1270669894.4194.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/07 12:22:23
s: moz2-darwin9-slave02
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270670375.1270672232.11307.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/07 12:59:35
s: moz2-darwin9-slave05
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270668598.1270670499.5936.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/07 12:29:58
s: moz2-darwin9-slave21
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270681150.1270682905.11994.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/07 15:59:10
s: moz2-darwin9-slave14
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270681981.1270684030.15681.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/07 16:13:01
s: moz2-darwin9-slave16
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270690538.1270692295.7963.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/07 18:35:38
s: moz2-darwin9-slave16
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270686895.1270688534.29085.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/07 17:34:55
s: moz2-darwin9-slave38
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270712821.1270714551.27914.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/08 00:47:01
s: moz2-darwin9-slave17
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270717096.1270718875.10276.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/08 01:58:16
s: moz2-darwin9-slave12
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270718343.1270720140.15561.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/08 02:19:03
s: moz2-darwin9-slave14
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270748026.1270749871.6371.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/08 10:33:46
s: moz2-darwin9-slave07
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270756670.1270758314.696.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/08 12:57:50
s: moz2-darwin9-slave40
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270758436.1270760234.6824.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/08 13:27:16
s: moz2-darwin9-slave11
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270758809.1270761606.11101.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/04/08 13:33:29
s: talos-r3-leopard-016

(includes the 1 DOMWINDOW from bug 557883 for bonus leaking fun)
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270765640.1270767286.28705.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/04/08 15:27:20
s: talos-r3-leopard-030

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270765639.1270767368.29155.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/08 15:27:19
s: moz2-darwin9-slave18
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270771411.1270773342.15257.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/08 17:03:31
s: moz2-darwin9-slave22
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270773283.1270775105.19543.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/08 17:34:43
s: moz2-darwin9-slave05
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270780075.1270781966.4135.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/08 19:27:55
s: moz2-darwin9-slave22
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270780088.1270781742.3511.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/04/08 19:28:08
s: talos-r3-leopard-031
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270812968.1270814702.28832.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/09 04:36:08
s: moz2-darwin9-slave11
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270871635.1270873583.6496.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/09 20:53:55
s: moz2-darwin9-slave21
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270939303.1270941023.12356.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/10 15:41:43
s: moz2-darwin9-slave10
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270956796.1270958433.17193.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/10 20:33:16
s: moz2-darwin9-slave41
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270954706.1270956425.12726.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/10 19:58:26
s: moz2-darwin9-slave17
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270958911.1270960672.22411.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/10 21:08:31
s: moz2-darwin9-slave06

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270959059.1270960994.23175.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/04/10 21:10:59
s: talos-r3-leopard-005
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1270964664.1270966556.10498.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/10 22:44:24
s: moz2-darwin9-slave23
Duplicate of this bug: 504340
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271019494.1271021346.23205.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/11 13:58:14
No longer blocks: 504340
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271032636.1271034397.22642.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/11 17:37:16
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271034817.1271036567.28138.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/11 18:13:37
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271040237.1271041971.8039.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/11 19:43:57
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271077025.1271078936.21214.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/12 05:57:05
s: moz2-darwin9-slave23
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271089130.1271091025.26726.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/12 09:18:50
s: moz2-darwin9-slave21
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271091670.1271093868.1917.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/12 10:01:10
s: moz2-darwin9-slave20
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271098540.1271100242.17891.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/12 11:55:40
s: moz2-darwin9-slave14
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271100940.1271102837.24484.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/04/12 12:35:40
s: talos-r3-leopard-038

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271100939.1271102680.24121.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/12 12:35:39
s: moz2-darwin9-slave18
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271109088.1271110799.15190.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/12 14:51:28
s: moz2-darwin9-slave09
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271131581.1271133521.11786.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/12 21:06:21
s: moz2-darwin9-slave19
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271177141.1271178948.3169.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/13 09:45:41
s: moz2-darwin9-slave05
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271181660.1271183566.16539.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/13 11:01:00
s: moz2-darwin9-slave22
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271184198.1271186098.23903.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/13 11:43:18
s: moz2-darwin9-slave24
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271192214.1271194155.13394.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/04/13 13:56:54
s: talos-r3-leopard-029
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271205540.1271208024.19587.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/04/13 17:39:00
s: talos-r3-leopard-033

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271209992.1271212625.28910.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/13 18:53:12
s: moz2-darwin9-slave17
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271214443.1271216132.4332.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/13 20:07:23
s: moz2-darwin9-slave09
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271228427.1271230365.1388.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/14 00:00:27
s: moz2-darwin9-slave20
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271236623.1271238417.23167.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/14 02:17:03
s: moz2-darwin9-slave07
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271277545.1271279268.25735.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/14 13:39:05
s: moz2-darwin9-slave16
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271288622.1271290248.23470.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/14 16:43:42
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271291763.1271293576.1094.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/14 17:36:03
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271322218.1271323915.22037.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/15 02:03:38
s: moz2-darwin9-slave16
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271340249.1271342116.24256.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/15 07:04:09
s: moz2-darwin9-slave24
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271353255.1271355005.3170.gz
OS X 10.5.2 mozilla-central debug test mochitest-other on 2010/04/15 10:40:55
s: moz2-darwin9-slave02
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271391497.1271393361.21520.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/04/15 21:18:17
s: talos-r3-leopard-017
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271448920.1271450370.26688.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/04/16 13:15:20
s: talos-r3-leopard-012
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271552626.1271553984.28815.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/04/17 18:03:46
s: talos-r3-leopard-008
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1271857602.1271859350.19609.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other [testfailed] Started 22:46, finished 23:16
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1272109198.1272110781.5545.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/04/24 04:39:58
s: talos-r3-leopard-027
I landed some debugging code:
http://hg.mozilla.org/mozilla-central/rev/6b6e9a3c0606
to see if we can get a little more data about what's going on here.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1272471069.1272472912.4108.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/04/28 09:11:09
s: talos-r3-leopard-017

Includes your debugging output, amidst a ton of noise.
The debugging output is the expected output.
I think somebody should investigate the possibility that the leak bug is a bug in our code rather than a bug in the test; I'm probably not the right person for that, though.
Again, debugging output as expected.

I'll back out that debugging patch when I get the chance.
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1272659271.1272662991.26374.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/04/30 13:27:51
s: talos-r3-leopard-031
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1272671394.1272673260.27454.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/04/30 16:49:54
s: talos-r3-leopard-015
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1272681685.1272683656.22986.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/04/30 19:41:25
s: talos-r3-leopard-006
A slightly more aggressive piece of debugging code:
http://hg.mozilla.org/mozilla-central/rev/1e383909069b

I'm not sure it'll work, though, for two reasons:
 * a leak might causes us to fail to hit this code
 * it might somehow be too late in the shutdown path
I pushed Bug 561674 which turns off that debugging code so you'll probably want to change to just #ifdef(DEBUG).
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1272934482.1272936120.6777.gz
OS X 10.5.2 tracemonkey debug test mochitest-other on 2010/05/03 17:54:42
s: moz2-darwin9-slave58

With your JS heap, which I'm glad I don't have to interpret.
It actually didn't work; the browser log for the run with the leaks is the only run where:
> nsXPConnect::CommenceShutdown()
is not followed by:
> Dump of entire JS heap at shutdown:
Unless I've lost my place in the log again, it is there in 

http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1273022648.1273024573.881.gz
OS X 10.5.2 tracemonkey debug test mochitest-other on 2010/05/04 18:24:08
s: moz2-darwin9-slave25
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1272995583.1272997413.31267.gz
OS X 10.5.2 tracemonkey debug test mochitest-other on 2010/05/04 10:53:03
s: moz2-darwin9-slave31
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273083634.1273085825.18762.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/05/05 11:20:34  
confirmed with comment 3
I moved the debugging code to where it's more likely to work when we leak the world (although it'll be noisier in other cases, but hopefully not too much):
http://hg.mozilla.org/mozilla-central/rev/f5c479a8f631
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273095351.1273097665.22647.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/05/05 14:35:51
s: talos-r3-leopard-015
Posted file dump of JS heap
from log in comment 214

I fear it's not particularly useful.
Here's your new debugging:

http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273101219.1273103144.2610.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/05/05 16:13:39
s: talos-r3-leopard-038
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273177336.1273179420.9881.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/05/06 13:22:16
s: talos-r3-leopard-036
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273591533.1273593272.9782.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/05/11 08:25:33
s: talos-r3-leopard-007
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273600286.1273602719.16771.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/05/11 10:51:26
s: talos-r3-leopard-016
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273631111.1273632837.5866.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/05/11 19:25:11
s: talos-r3-leopard-015
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273636306.1273638433.29722.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/05/11 20:51:46
s: talos-r3-leopard-032
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273641288.1273643005.16319.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/05/11 22:14:48
s: talos-r3-leopard-036
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273653694.1273656574.22517.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/05/12 01:41:34
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273669668.1273671436.17681.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/05/12 06:07:48
s: talos-r3-leopard-004
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273712343.1273714579.6533.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/05/12 17:59:03
s: talos-r3-leopard-031
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1273761641.1273763697.29234.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/05/13 07:40:41
s: talos-r3-leopard-018
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1274210329.1274212938.3849.gz
Rev3 MacOSX Leopard 10.5.8 mozilla-central debug test mochitest-other on 2010/05/18 12:18:49
s: talos-r3-leopard-044
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1274735419.1274737027.3055.gz
OS X 10.5.2 tracemonkey debug test mochitest-other on 2010/05/24 14:10:19
s: moz2-darwin9-slave36
It doesn't seem clear if this is a persistent leak or just a shutdown leak and since no-one seems to know much about what is going on I don't think we can block on it. Re-nominate if I have missed something in the 200+ comments that suggest there is something more serious going on.
blocking2.0: ? → -
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1275168571.1275170150.16771.gz
OS X 10.5.2 tracemonkey debug test mochitest-other on 2010/05/29 14:29:31
s: moz2-darwin9-slave47
Holy crap. Can we fix TBPL Robot to not produce comments like this?
(In reply to comment #235)
> Holy crap. Can we fix TBPL Robot to not produce comments like this?

How do you suggest we fix it?
Duplicate of this bug: 565728
http://tinderbox.mozilla.org/showlog.cgi?log=TraceMonkey/1275775691.1275777291.23808.gz
OS X 10.5.2 tracemonkey debug test mochitest-other on 2010/06/05 15:08:11
s: moz2-darwin9-slave33
Depends on: 571159
The most productive way to debug this may be to debug bug 571159.
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1277440849.1277441608.28207.gz
OS X 10.5.2 mozilla-1.9.2 test mochitest-other on 2010/06/24 21:40:49

s: moz2-darwin9-slave41
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 348981 bytes during test execution
This could be bug 538462.
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 348981 bytes during test execution
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 114 instances of AtomImpl with size 16 bytes each (1824 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 114 instances of AtomImpl with size 16 bytes each (1824 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of BackstagePass with size 20 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of BackstagePass with size 20 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of CParserContext with size 68 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of CParserContext with size 68 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of CSSImportRuleImpl with size 44 bytes each (88 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of CSSImportRuleImpl with size 44 bytes each (88 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 36 instances of CSSImportantRule with size 12 bytes each (432 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 36 instances of CSSImportantRule with size 12 bytes each (432 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of CSSLoaderImpl with size 188 bytes each (564 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of CSSLoaderImpl with size 188 bytes each (564 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 11 instances of CSSNameSpaceRuleImpl with size 40 bytes each (440 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 11 instances of CSSNameSpaceRuleImpl with size 40 bytes each (440 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of CSSParserImpl with size 5040 bytes each (15120 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of CSSParserImpl with size 5040 bytes each (15120 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 395 instances of CSSStyleRuleImpl with size 40 bytes each (15800 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 395 instances of CSSStyleRuleImpl with size 40 bytes each (15800 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 4 instances of Connection with size 92 bytes each (368 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 4 instances of Connection with size 92 bytes each (368 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of HTMLCSSStyleSheetImpl with size 20 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of HTMLCSSStyleSheetImpl with size 20 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of LiteralImpl with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of LiteralImpl with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of MatchAutoCompleteFunction with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of MatchAutoCompleteFunction with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of NameSpaceManagerImpl with size 44 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of NameSpaceManagerImpl with size 44 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of PrincipalHolder with size 12 bytes each (24 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of PrincipalHolder with size 12 bytes each (24 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of RDFServiceImpl with size 272 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of RDFServiceImpl with size 272 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of Service with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of Service with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 73 instances of Statement with size 48 bytes each (3504 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 73 instances of Statement with size 48 bytes each (3504 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 4 instances of StringAdopt with size 1 bytes each (4 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 4 instances of StringAdopt with size 1 bytes each (4 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of XPCContext with size 40 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of XPCContext with size 40 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 35 instances of XPCNativeInterface with size 24 bytes each (840 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 35 instances of XPCNativeInterface with size 24 bytes each (840 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 35 instances of XPCNativeMember with size 12 bytes each (420 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 35 instances of XPCNativeMember with size 12 bytes each (420 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 45 instances of XPCNativeScriptableInfo with size 8 bytes each (360 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 45 instances of XPCNativeScriptableInfo with size 8 bytes each (360 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of XPCNativeScriptableShared with size 212 bytes each (636 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of XPCNativeScriptableShared with size 212 bytes each (636 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 15 instances of XPCNativeSet with size 8 bytes each (120 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 15 instances of XPCNativeSet with size 8 bytes each (120 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 103 instances of XPCWrappedNative with size 48 bytes each (4944 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 103 instances of XPCWrappedNative with size 48 bytes each (4944 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 47 instances of XPCWrappedNativeProto with size 32 bytes each (1504 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 47 instances of XPCWrappedNativeProto with size 32 bytes each (1504 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 44 instances of XPCWrappedNativeScope with size 64 bytes each (2816 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 44 instances of XPCWrappedNativeScope with size 64 bytes each (2816 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 7 instances of gfxFont with size 72 bytes each (504 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 7 instances of gfxFont with size 72 bytes each (504 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of gfxFontEntry with size 40 bytes each (120 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of gfxFontEntry with size 40 bytes each (120 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 7 instances of gfxGlyphExtents with size 40 bytes each (280 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 7 instances of gfxGlyphExtents with size 40 bytes each (280 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 43 instances of gfxTextRun with size 88 bytes each (3784 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 43 instances of gfxTextRun with size 88 bytes each (3784 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 17 instances of gfxTextRunFactory with size 8 bytes each (136 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 17 instances of gfxTextRunFactory with size 8 bytes each (136 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of imgCacheEntry with size 28 bytes each (56 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of imgCacheEntry with size 28 bytes each (56 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of imgContainer with size 84 bytes each (252 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of imgContainer with size 84 bytes each (252 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of imgLoader with size 40 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of imgLoader with size 40 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of imgRequest with size 152 bytes each (456 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of imgRequest with size 152 bytes each (456 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of imgRequestProxy with size 36 bytes each (108 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of imgRequestProxy with size 36 bytes each (108 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of mozStorageFunctionGetUnreversedHost with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of mozStorageFunctionGetUnreversedHost with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsAnnotationService with size 80 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsAnnotationService with size 80 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 68 instances of nsAtomList with size 8 bytes each (544 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 68 instances of nsAtomList with size 8 bytes each (544 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 203 instances of nsAttrSelector with size 28 bytes each (5684 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 203 instances of nsAttrSelector with size 28 bytes each (5684 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsBaseURLParser with size 8 bytes each (16 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsBaseURLParser with size 8 bytes each (16 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsBasicDecoderSupport with size 12 bytes each (24 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsBasicDecoderSupport with size 12 bytes each (24 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsBidiKeyboard with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsBidiKeyboard with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsBindingManager with size 252 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsBindingManager with size 252 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsBoxLayout with size 8 bytes each (16 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsBoxLayout with size 8 bytes each (16 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSAural with size 136 bytes each (816 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSAural with size 136 bytes each (816 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSBreaks with size 32 bytes each (192 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSBreaks with size 32 bytes each (192 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSColor with size 52 bytes each (312 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSColor with size 52 bytes each (312 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSColumn with size 48 bytes each (288 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSColumn with size 48 bytes each (288 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSContent with size 24 bytes each (144 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSContent with size 24 bytes each (144 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 12 instances of nsCSSCornerSizes with size 64 bytes each (768 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 12 instances of nsCSSCornerSizes with size 64 bytes each (768 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 395 instances of nsCSSDeclaration with size 32 bytes each (12640 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 395 instances of nsCSSDeclaration with size 32 bytes each (12640 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSDisplay with size 164 bytes each (984 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSDisplay with size 164 bytes each (984 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSFont with size 88 bytes each (528 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSFont with size 88 bytes each (528 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSList with size 56 bytes each (336 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSList with size 56 bytes each (336 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSMargin with size 596 bytes each (3576 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSMargin with size 596 bytes each (3576 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 4 instances of nsCSSMediaRule with size 36 bytes each (144 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 4 instances of nsCSSMediaRule with size 36 bytes each (144 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSPage with size 24 bytes each (144 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSPage with size 24 bytes each (144 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSPosition with size 96 bytes each (576 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSPosition with size 96 bytes each (576 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 49 instances of nsCSSRect with size 32 bytes each (1568 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 49 instances of nsCSSRect with size 32 bytes each (1568 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 412 instances of nsCSSRule with size 16 bytes each (6592 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 412 instances of nsCSSRule with size 16 bytes each (6592 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSSVG with size 252 bytes each (1512 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSSVG with size 252 bytes each (1512 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsCSSScanner with size 1008 bytes each (3024 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsCSSScanner with size 1008 bytes each (3024 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1373 instances of nsCSSSelector with size 40 bytes each (54920 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1373 instances of nsCSSSelector with size 40 bytes each (54920 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 949 instances of nsCSSSelectorList with size 12 bytes each (11388 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 949 instances of nsCSSSelectorList with size 12 bytes each (11388 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSStyleSheet with size 68 bytes each (408 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSStyleSheet with size 68 bytes each (408 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSStyleSheetInner with size 76 bytes each (456 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSStyleSheetInner with size 76 bytes each (456 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSTable with size 80 bytes each (480 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSTable with size 80 bytes each (480 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSText with size 92 bytes each (552 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSText with size 92 bytes each (552 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSUserInterface with size 60 bytes each (360 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSUserInterface with size 60 bytes each (360 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsCSSValue::Image with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsCSSValue::Image with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 143 instances of nsCSSValue::URL with size 20 bytes each (2860 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 143 instances of nsCSSValue::URL with size 20 bytes each (2860 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 38 instances of nsCSSValueList with size 12 bytes each (456 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 38 instances of nsCSSValueList with size 12 bytes each (456 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSValueListRect with size 16 bytes each (96 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSValueListRect with size 16 bytes each (96 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 87 instances of nsCSSValuePair with size 16 bytes each (1392 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 87 instances of nsCSSValuePair with size 16 bytes each (1392 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsCSSValuePairList with size 20 bytes each (60 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsCSSValuePairList with size 20 bytes each (60 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSXUL with size 56 bytes each (336 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSXUL with size 56 bytes each (336 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 725 instances of nsCStringKey with size 16 bytes each (11600 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 725 instances of nsCStringKey with size 16 bytes each (11600 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 5 instances of nsCategoryObserver with size 56 bytes each (280 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 5 instances of nsCategoryObserver with size 56 bytes each (280 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsCharsetAlias2 with size 12 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsCharsetAlias2 with size 12 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsCharsetConverterManager with size 16 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsCharsetConverterManager with size 16 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsCollationMacUC with size 32 bytes each (96 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsCollationMacUC with size 32 bytes each (96 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 9 instances of nsConsoleMessage with size 20 bytes each (180 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 9 instances of nsConsoleMessage with size 20 bytes each (180 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsConsoleService with size 76 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsConsoleService with size 76 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsContentPolicy with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsContentPolicy with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsContentSink with size 176 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsContentSink with size 176 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsCookiePermission with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsCookiePermission with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsCookieService with size 152 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsCookieService with size 152 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsDNSService with size 44 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsDNSService with size 44 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsDOMStorageManager with size 48 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsDOMStorageManager with size 48 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsDateTimeFormatMac with size 36 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsDateTimeFormatMac with size 36 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsDeque with size 52 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsDeque with size 52 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsDocShell::InterfaceRequestorProxy with size 12 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsDocShell::InterfaceRequestorProxy with size 12 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsDocument with size 616 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsDocument with size 616 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsDownloadManager with size 60 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsDownloadManager with size 60 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsEffectiveTLDService with size 44 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsEffectiveTLDService with size 44 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsErrorService with size 128 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsErrorService with size 128 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsEventListenerThisTranslator with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsEventListenerThisTranslator with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsExceptionManager with size 20 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsExceptionManager with size 20 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsExpatDriver with size 132 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsExpatDriver with size 132 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsExtensibleStringBundle with size 16 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsExtensibleStringBundle with size 16 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsFocusManager with size 48 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsFocusManager with size 48 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsFrameList with size 4 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsFrameList with size 4 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 232 instances of nsGenericDOMDataNode with size 32 bytes each (7424 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 232 instances of nsGenericDOMDataNode with size 32 bytes each (7424 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 137 instances of nsGenericElement with size 28 bytes each (3836 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 137 instances of nsGenericElement with size 28 bytes each (3836 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsGenericFactory with size 16 bytes each (48 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsGenericFactory with size 16 bytes each (48 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsHTMLDNSPrefetch::nsDeferrals with size 4132 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsHTMLDNSPrefetch::nsDeferrals with size 4132 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsHTMLDNSPrefetch::nsListener with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsHTMLDNSPrefetch::nsListener with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsHTMLStyleSheet with size 92 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsHTMLStyleSheet with size 92 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsHTMLStyleSheet::GenericTableRule with size 8 bytes each (48 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsHTMLStyleSheet::GenericTableRule with size 8 bytes each (48 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 727 instances of nsHashKey with size 4 bytes each (2908 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 727 instances of nsHashKey with size 4 bytes each (2908 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsHashPropertyBag with size 44 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsHashPropertyBag with size 44 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 107 instances of nsHashtable with size 44 bytes each (4708 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 107 instances of nsHashtable with size 44 bytes each (4708 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 581 instances of nsHtml5AttributeName with size 16 bytes each (9296 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 581 instances of nsHtml5AttributeName with size 16 bytes each (9296 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 392 instances of nsHtml5ElementName with size 28 bytes each (10976 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 392 instances of nsHtml5ElementName with size 28 bytes each (10976 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsHtml5HtmlAttributes with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsHtml5HtmlAttributes with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsHttpChannel with size 456 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsHttpChannel with size 456 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsHttpConnectionInfo with size 40 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsHttpConnectionInfo with size 40 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsHttpHandler with size 356 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsHttpHandler with size 356 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsIDNService with size 60 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsIDNService with size 60 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsIOService with size 120 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsIOService with size 120 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsIdleServiceX with size 16 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsIdleServiceX with size 16 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsImageFrame::IconLoad with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsImageFrame::IconLoad with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsJISx4051LineBreaker with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsJISx4051LineBreaker with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 39 instances of nsJSID with size 32 bytes each (1248 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 39 instances of nsJSID with size 32 bytes each (1248 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsLanguageAtomService with size 52 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsLanguageAtomService with size 52 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsLayoutStatics with size 1 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsLayoutStatics with size 1 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsLayoutStylesheetCache with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsLayoutStylesheetCache with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsLoadGroup with size 4 bytes each (8 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsLoadGroup with size 4 bytes each (8 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 8 instances of nsLocalFile with size 1044 bytes each (8352 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 8 instances of nsLocalFile with size 1044 bytes each (8352 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsMediaList with size 20 bytes each (120 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsMediaList with size 20 bytes each (120 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsMetaCharsetObserver with size 36 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsMetaCharsetObserver with size 36 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsNSSCertificate with size 56 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsNSSCertificate with size 56 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsNSSSocketInfo with size 160 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsNSSSocketInfo with size 160 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsNativeThemeCocoa with size 36 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsNativeThemeCocoa with size 36 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsNavBookmarks with size 220 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsNavBookmarks with size 220 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsNavHistory with size 476 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsNavHistory with size 476 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsNetworkLinkService with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsNetworkLinkService with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 27 instances of nsNodeInfo with size 28 bytes each (756 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 27 instances of nsNodeInfo with size 28 bytes each (756 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsNodeInfoManager with size 36 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsNodeInfoManager with size 36 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsNullPrincipal with size 36 bytes each (108 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsNullPrincipal with size 36 bytes each (108 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsNullPrincipalURI with size 32 bytes each (96 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsNullPrincipalURI with size 32 bytes each (96 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsObserverEntry with size 460 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsObserverEntry with size 460 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsObserverService with size 44 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsObserverService with size 44 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsOnloadBlocker with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsOnloadBlocker with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsParser with size 128 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsParser with size 128 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsParserService with size 64 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsParserService with size 64 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsPermissionManager with size 88 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsPermissionManager with size 88 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 25 instances of nsPersistentProperties with size 76 bytes each (1900 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 25 instances of nsPersistentProperties with size 76 bytes each (1900 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsPref with size 40 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsPref with size 40 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 4 instances of nsPrefBranch with size 52 bytes each (208 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 4 instances of nsPrefBranch with size 52 bytes each (208 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsPrefService with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsPrefService with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 102 instances of nsPrincipal with size 72 bytes each (7344 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 102 instances of nsPrincipal with size 72 bytes each (7344 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsProperties with size 4 bytes each (12 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsProperties with size 4 bytes each (12 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 391 instances of nsPseudoClassList with size 12 bytes each (4692 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 391 instances of nsPseudoClassList with size 12 bytes each (4692 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsRDFResource with size 24 bytes each (72 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsRDFResource with size 24 bytes each (72 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsRadioVisitor with size 8 bytes each (16 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsRadioVisitor with size 8 bytes each (16 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsRect with size 16 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsRect with size 16 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsRepeatService with size 20 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsRepeatService with size 20 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsReverseStringSQLFunction with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsReverseStringSQLFunction with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsSSLStatus with size 60 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsSSLStatus with size 60 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsSameOriginChecker with size 12 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsSameOriginChecker with size 12 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsSampleWordBreaker with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsSampleWordBreaker with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsScanner with size 132 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsScanner with size 132 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 37 instances of nsScriptError with size 68 bytes each (2516 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 37 instances of nsScriptError with size 68 bytes each (2516 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsScriptLoader with size 44 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsScriptLoader with size 44 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsScriptLoaderObserverProxy with size 12 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsScriptLoaderObserverProxy with size 12 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsScriptNameSpaceManager with size 40 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsScriptNameSpaceManager with size 40 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsScriptSecurityManager with size 88 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsScriptSecurityManager with size 88 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsSimpleURI with size 4 bytes each (8 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsSimpleURI with size 4 bytes each (8 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsSocketTransportService with size 1680 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsSocketTransportService with size 1680 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 255 instances of nsStandardURL with size 180 bytes each (45900 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 255 instances of nsStandardURL with size 180 bytes each (45900 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 4 instances of nsStaticCaseInsensitiveNameTable with size 48 bytes each (192 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 4 instances of nsStaticCaseInsensitiveNameTable with size 48 bytes each (192 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsStreamConverterService with size 12 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsStreamConverterService with size 12 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1806 instances of nsStringBuffer with size 8 bytes each (14448 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1806 instances of nsStringBuffer with size 8 bytes each (14448 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 24 instances of nsStringBundle with size 36 bytes each (864 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 24 instances of nsStringBundle with size 36 bytes each (864 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsStringBundleService with size 108 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsStringBundleService with size 108 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsSupportsArray with size 52 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsSupportsArray with size 52 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsSupportsCStringImpl with size 20 bytes each (60 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsSupportsCStringImpl with size 20 bytes each (60 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsSystemPrincipal with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsSystemPrincipal with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 742 instances of nsTArray_base with size 4 bytes each (2968 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 742 instances of nsTArray_base with size 4 bytes each (2968 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 232 instances of nsTextFragment with size 8 bytes each (1856 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 232 instances of nsTextFragment with size 8 bytes each (1856 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 232 instances of nsTextNode with size 36 bytes each (8352 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 232 instances of nsTextNode with size 36 bytes each (8352 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsThread with size 68 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsThread with size 68 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsTimerImpl with size 48 bytes each (288 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsTimerImpl with size 48 bytes each (288 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsTokenAllocator with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsTokenAllocator with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 5 instances of nsURIAndPrincipalHashKey with size 12 bytes each (60 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 5 instances of nsURIAndPrincipalHashKey with size 12 bytes each (60 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 5 instances of nsURIHashKey with size 8 bytes each (40 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 5 instances of nsURIHashKey with size 8 bytes each (40 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsUnicodeNormalizer with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsUnicodeNormalizer with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsVariant with size 44 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsVariant with size 44 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 38 instances of nsVoidArray with size 4 bytes each (152 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 38 instances of nsVoidArray with size 4 bytes each (152 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 12 instances of nsWeakReference with size 12 bytes each (144 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 12 instances of nsWeakReference with size 12 bytes each (144 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXBLService with size 52 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXBLService with size 52 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXMLContentSink with size 236 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXMLContentSink with size 236 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXMLDocument with size 620 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXMLDocument with size 620 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 137 instances of nsXMLElement with size 32 bytes each (4384 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 137 instances of nsXMLElement with size 32 bytes each (4384 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 44 instances of nsXPCComponents with size 56 bytes each (2464 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 44 instances of nsXPCComponents with size 56 bytes each (2464 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 41 instances of nsXPCComponents_Classes with size 16 bytes each (656 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 41 instances of nsXPCComponents_Classes with size 16 bytes each (656 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXPCComponents_Constructor with size 16 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXPCComponents_Constructor with size 16 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXPCComponents_Exception with size 16 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXPCComponents_Exception with size 16 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 41 instances of nsXPCComponents_ID with size 16 bytes each (656 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 41 instances of nsXPCComponents_ID with size 16 bytes each (656 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 42 instances of nsXPCComponents_Interfaces with size 24 bytes each (1008 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 42 instances of nsXPCComponents_Interfaces with size 24 bytes each (1008 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 28 instances of nsXPCComponents_Results with size 16 bytes each (448 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 28 instances of nsXPCComponents_Results with size 16 bytes each (448 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 36 instances of nsXPCComponents_Utils with size 20 bytes each (720 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 36 instances of nsXPCComponents_Utils with size 20 bytes each (720 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsXPCComponents_utils_Sandbox with size 12 bytes each (24 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsXPCComponents_utils_Sandbox with size 12 bytes each (24 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXPCWrappedJS with size 56 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXPCWrappedJS with size 56 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXPCWrappedJSClass with size 40 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXPCWrappedJSClass with size 40 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXPConnect with size 100 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXPConnect with size 100 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXTFService with size 40 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXTFService with size 40 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXULPopupManager with size 64 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXULPopupManager with size 64 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXULPrototypeCache with size 172 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXULPrototypeCache with size 172 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of xpcPerThreadData with size 44 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of xpcPerThreadData with size 44 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of xptiFile with size 28 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of xptiFile with size 28 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 36 instances of xptiInterfaceInfo with size 16 bytes each (576 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 36 instances of xptiInterfaceInfo with size 16 bytes each (576 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of xptiInterfaceInfoManager with size 96 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of xptiInterfaceInfoManager with size 96 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of xptiWorkingSet with size 52 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of xptiWorkingSet with size 52 bytes
philringnalda%gmail.com
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox3.6/1277443404.1277444142.6714.gz
OS X 10.5.2 mozilla-1.9.2 test mochitest-other on 2010/06/24 22:23:24

s: moz2-darwin9-slave12
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 379678 bytes during test execution
This could be bug 538462.
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 379678 bytes during test execution
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 114 instances of AtomImpl with size 16 bytes each (1824 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 114 instances of AtomImpl with size 16 bytes each (1824 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of BackstagePass with size 20 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of BackstagePass with size 20 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of CParserContext with size 68 bytes each (136 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of CParserContext with size 68 bytes each (136 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of CSSImportRuleImpl with size 44 bytes each (88 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of CSSImportRuleImpl with size 44 bytes each (88 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 36 instances of CSSImportantRule with size 12 bytes each (432 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 36 instances of CSSImportantRule with size 12 bytes each (432 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 4 instances of CSSLoaderImpl with size 188 bytes each (752 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 4 instances of CSSLoaderImpl with size 188 bytes each (752 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 11 instances of CSSNameSpaceRuleImpl with size 40 bytes each (440 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 11 instances of CSSNameSpaceRuleImpl with size 40 bytes each (440 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of CSSParserImpl with size 5040 bytes each (15120 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of CSSParserImpl with size 5040 bytes each (15120 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 395 instances of CSSStyleRuleImpl with size 40 bytes each (15800 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 395 instances of CSSStyleRuleImpl with size 40 bytes each (15800 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 4 instances of Connection with size 92 bytes each (368 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 4 instances of Connection with size 92 bytes each (368 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of HTMLCSSStyleSheetImpl with size 20 bytes each (40 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of HTMLCSSStyleSheetImpl with size 20 bytes each (40 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of LiteralImpl with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of LiteralImpl with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of MatchAutoCompleteFunction with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of MatchAutoCompleteFunction with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of NameSpaceManagerImpl with size 44 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of NameSpaceManagerImpl with size 44 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of PrincipalHolder with size 12 bytes each (24 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of PrincipalHolder with size 12 bytes each (24 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of RDFServiceImpl with size 272 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of RDFServiceImpl with size 272 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of Service with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of Service with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 73 instances of Statement with size 48 bytes each (3504 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 73 instances of Statement with size 48 bytes each (3504 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 5 instances of StringAdopt with size 1 bytes each (5 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 5 instances of StringAdopt with size 1 bytes each (5 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of XPCContext with size 40 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of XPCContext with size 40 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 35 instances of XPCNativeInterface with size 24 bytes each (840 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 35 instances of XPCNativeInterface with size 24 bytes each (840 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 35 instances of XPCNativeMember with size 12 bytes each (420 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 35 instances of XPCNativeMember with size 12 bytes each (420 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 45 instances of XPCNativeScriptableInfo with size 8 bytes each (360 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 45 instances of XPCNativeScriptableInfo with size 8 bytes each (360 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of XPCNativeScriptableShared with size 212 bytes each (636 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of XPCNativeScriptableShared with size 212 bytes each (636 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 15 instances of XPCNativeSet with size 8 bytes each (120 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 15 instances of XPCNativeSet with size 8 bytes each (120 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 103 instances of XPCWrappedNative with size 48 bytes each (4944 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 103 instances of XPCWrappedNative with size 48 bytes each (4944 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 47 instances of XPCWrappedNativeProto with size 32 bytes each (1504 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 47 instances of XPCWrappedNativeProto with size 32 bytes each (1504 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 44 instances of XPCWrappedNativeScope with size 64 bytes each (2816 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 44 instances of XPCWrappedNativeScope with size 64 bytes each (2816 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 7 instances of gfxFont with size 72 bytes each (504 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 7 instances of gfxFont with size 72 bytes each (504 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of gfxFontEntry with size 40 bytes each (120 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of gfxFontEntry with size 40 bytes each (120 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 7 instances of gfxGlyphExtents with size 40 bytes each (280 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 7 instances of gfxGlyphExtents with size 40 bytes each (280 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 34 instances of gfxTextRun with size 88 bytes each (2992 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 34 instances of gfxTextRun with size 88 bytes each (2992 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 16 instances of gfxTextRunFactory with size 8 bytes each (128 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 16 instances of gfxTextRunFactory with size 8 bytes each (128 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of imgCacheEntry with size 28 bytes each (56 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of imgCacheEntry with size 28 bytes each (56 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of imgContainer with size 84 bytes each (252 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of imgContainer with size 84 bytes each (252 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of imgLoader with size 40 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of imgLoader with size 40 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of imgRequest with size 152 bytes each (456 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of imgRequest with size 152 bytes each (456 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of imgRequestProxy with size 36 bytes each (108 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of imgRequestProxy with size 36 bytes each (108 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of mozStorageFunctionGetUnreversedHost with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of mozStorageFunctionGetUnreversedHost with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsAnnotationService with size 80 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsAnnotationService with size 80 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 68 instances of nsAtomList with size 8 bytes each (544 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 68 instances of nsAtomList with size 8 bytes each (544 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 203 instances of nsAttrSelector with size 28 bytes each (5684 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 203 instances of nsAttrSelector with size 28 bytes each (5684 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsBaseURLParser with size 8 bytes each (16 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsBaseURLParser with size 8 bytes each (16 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsBasicDecoderSupport with size 12 bytes each (36 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsBasicDecoderSupport with size 12 bytes each (36 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsBidiKeyboard with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsBidiKeyboard with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsBindingManager with size 252 bytes each (504 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsBindingManager with size 252 bytes each (504 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsBoxLayout with size 8 bytes each (16 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsBoxLayout with size 8 bytes each (16 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSAural with size 136 bytes each (816 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSAural with size 136 bytes each (816 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSBreaks with size 32 bytes each (192 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSBreaks with size 32 bytes each (192 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSColor with size 52 bytes each (312 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSColor with size 52 bytes each (312 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSColumn with size 48 bytes each (288 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSColumn with size 48 bytes each (288 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSContent with size 24 bytes each (144 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSContent with size 24 bytes each (144 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 12 instances of nsCSSCornerSizes with size 64 bytes each (768 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 12 instances of nsCSSCornerSizes with size 64 bytes each (768 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 395 instances of nsCSSDeclaration with size 32 bytes each (12640 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 395 instances of nsCSSDeclaration with size 32 bytes each (12640 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSDisplay with size 164 bytes each (984 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSDisplay with size 164 bytes each (984 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSFont with size 88 bytes each (528 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSFont with size 88 bytes each (528 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSList with size 56 bytes each (336 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSList with size 56 bytes each (336 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSMargin with size 596 bytes each (3576 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSMargin with size 596 bytes each (3576 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 4 instances of nsCSSMediaRule with size 36 bytes each (144 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 4 instances of nsCSSMediaRule with size 36 bytes each (144 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSPage with size 24 bytes each (144 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSPage with size 24 bytes each (144 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSPosition with size 96 bytes each (576 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSPosition with size 96 bytes each (576 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 49 instances of nsCSSRect with size 32 bytes each (1568 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 49 instances of nsCSSRect with size 32 bytes each (1568 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 412 instances of nsCSSRule with size 16 bytes each (6592 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 412 instances of nsCSSRule with size 16 bytes each (6592 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSSVG with size 252 bytes each (1512 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSSVG with size 252 bytes each (1512 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsCSSScanner with size 1008 bytes each (3024 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsCSSScanner with size 1008 bytes each (3024 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1373 instances of nsCSSSelector with size 40 bytes each (54920 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1373 instances of nsCSSSelector with size 40 bytes each (54920 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 949 instances of nsCSSSelectorList with size 12 bytes each (11388 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 949 instances of nsCSSSelectorList with size 12 bytes each (11388 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSStyleSheet with size 68 bytes each (408 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSStyleSheet with size 68 bytes each (408 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSStyleSheetInner with size 76 bytes each (456 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSStyleSheetInner with size 76 bytes each (456 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSTable with size 80 bytes each (480 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSTable with size 80 bytes each (480 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSText with size 92 bytes each (552 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSText with size 92 bytes each (552 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSUserInterface with size 60 bytes each (360 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSUserInterface with size 60 bytes each (360 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsCSSValue::Image with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsCSSValue::Image with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 143 instances of nsCSSValue::URL with size 20 bytes each (2860 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 143 instances of nsCSSValue::URL with size 20 bytes each (2860 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 38 instances of nsCSSValueList with size 12 bytes each (456 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 38 instances of nsCSSValueList with size 12 bytes each (456 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSValueListRect with size 16 bytes each (96 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSValueListRect with size 16 bytes each (96 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 87 instances of nsCSSValuePair with size 16 bytes each (1392 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 87 instances of nsCSSValuePair with size 16 bytes each (1392 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsCSSValuePairList with size 20 bytes each (60 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsCSSValuePairList with size 20 bytes each (60 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSXUL with size 56 bytes each (336 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsCSSXUL with size 56 bytes each (336 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 725 instances of nsCStringKey with size 16 bytes each (11600 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 725 instances of nsCStringKey with size 16 bytes each (11600 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 5 instances of nsCategoryObserver with size 56 bytes each (280 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 5 instances of nsCategoryObserver with size 56 bytes each (280 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsCharsetAlias2 with size 12 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsCharsetAlias2 with size 12 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsCharsetConverterManager with size 16 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsCharsetConverterManager with size 16 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsCollationMacUC with size 32 bytes each (96 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsCollationMacUC with size 32 bytes each (96 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 9 instances of nsConsoleMessage with size 20 bytes each (180 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 9 instances of nsConsoleMessage with size 20 bytes each (180 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsConsoleService with size 76 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsConsoleService with size 76 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsContentPolicy with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsContentPolicy with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsContentSink with size 176 bytes each (352 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsContentSink with size 176 bytes each (352 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsCookiePermission with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsCookiePermission with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsCookieService with size 152 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsCookieService with size 152 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsDNSService with size 44 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsDNSService with size 44 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsDOMStorageManager with size 48 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsDOMStorageManager with size 48 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsDateTimeFormatMac with size 36 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsDateTimeFormatMac with size 36 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsDeque with size 52 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsDeque with size 52 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsDocShell::InterfaceRequestorProxy with size 12 bytes each (24 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsDocShell::InterfaceRequestorProxy with size 12 bytes each (24 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsDocument with size 616 bytes each (1232 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsDocument with size 616 bytes each (1232 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsDownloadManager with size 60 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsDownloadManager with size 60 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsEffectiveTLDService with size 44 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsEffectiveTLDService with size 44 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsErrorService with size 128 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsErrorService with size 128 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsEventListenerThisTranslator with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsEventListenerThisTranslator with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsExceptionManager with size 20 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsExceptionManager with size 20 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsExpatDriver with size 132 bytes each (264 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsExpatDriver with size 132 bytes each (264 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsExtensibleStringBundle with size 16 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsExtensibleStringBundle with size 16 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsFocusManager with size 48 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsFocusManager with size 48 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsFrameList with size 4 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsFrameList with size 4 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 464 instances of nsGenericDOMDataNode with size 32 bytes each (14848 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 464 instances of nsGenericDOMDataNode with size 32 bytes each (14848 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 274 instances of nsGenericElement with size 28 bytes each (7672 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 274 instances of nsGenericElement with size 28 bytes each (7672 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsGenericFactory with size 16 bytes each (48 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsGenericFactory with size 16 bytes each (48 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsHTMLDNSPrefetch::nsDeferrals with size 4132 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsHTMLDNSPrefetch::nsDeferrals with size 4132 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsHTMLDNSPrefetch::nsListener with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsHTMLDNSPrefetch::nsListener with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsHTMLStyleSheet with size 92 bytes each (184 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsHTMLStyleSheet with size 92 bytes each (184 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 12 instances of nsHTMLStyleSheet::GenericTableRule with size 8 bytes each (96 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 12 instances of nsHTMLStyleSheet::GenericTableRule with size 8 bytes each (96 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 727 instances of nsHashKey with size 4 bytes each (2908 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 727 instances of nsHashKey with size 4 bytes each (2908 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsHashPropertyBag with size 44 bytes each (88 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsHashPropertyBag with size 44 bytes each (88 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 107 instances of nsHashtable with size 44 bytes each (4708 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 107 instances of nsHashtable with size 44 bytes each (4708 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 581 instances of nsHtml5AttributeName with size 16 bytes each (9296 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 581 instances of nsHtml5AttributeName with size 16 bytes each (9296 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 392 instances of nsHtml5ElementName with size 28 bytes each (10976 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 392 instances of nsHtml5ElementName with size 28 bytes each (10976 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsHtml5HtmlAttributes with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsHtml5HtmlAttributes with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsHttpChannel with size 456 bytes each (912 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsHttpChannel with size 456 bytes each (912 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsHttpConnectionInfo with size 40 bytes each (80 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsHttpConnectionInfo with size 40 bytes each (80 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsHttpHandler with size 356 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsHttpHandler with size 356 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsIDNService with size 60 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsIDNService with size 60 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsIOService with size 120 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsIOService with size 120 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsIdleServiceX with size 16 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsIdleServiceX with size 16 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsImageFrame::IconLoad with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsImageFrame::IconLoad with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsJISx4051LineBreaker with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsJISx4051LineBreaker with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 39 instances of nsJSID with size 32 bytes each (1248 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 39 instances of nsJSID with size 32 bytes each (1248 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsLanguageAtomService with size 52 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsLanguageAtomService with size 52 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsLayoutStatics with size 1 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsLayoutStatics with size 1 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsLayoutStylesheetCache with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsLayoutStylesheetCache with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsLoadGroup with size 4 bytes each (12 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsLoadGroup with size 4 bytes each (12 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 8 instances of nsLocalFile with size 1044 bytes each (8352 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 8 instances of nsLocalFile with size 1044 bytes each (8352 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsMediaList with size 20 bytes each (120 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsMediaList with size 20 bytes each (120 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsMetaCharsetObserver with size 36 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsMetaCharsetObserver with size 36 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsNSSCertificate with size 56 bytes each (112 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsNSSCertificate with size 56 bytes each (112 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsNSSSocketInfo with size 160 bytes each (320 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsNSSSocketInfo with size 160 bytes each (320 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsNativeThemeCocoa with size 36 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsNativeThemeCocoa with size 36 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsNavBookmarks with size 220 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsNavBookmarks with size 220 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsNavHistory with size 476 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsNavHistory with size 476 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsNetworkLinkService with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsNetworkLinkService with size 24 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 54 instances of nsNodeInfo with size 28 bytes each (1512 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 54 instances of nsNodeInfo with size 28 bytes each (1512 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsNodeInfoManager with size 36 bytes each (72 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsNodeInfoManager with size 36 bytes each (72 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 5 instances of nsNullPrincipal with size 36 bytes each (180 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 5 instances of nsNullPrincipal with size 36 bytes each (180 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 5 instances of nsNullPrincipalURI with size 32 bytes each (160 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 5 instances of nsNullPrincipalURI with size 32 bytes each (160 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsObserverEntry with size 460 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsObserverEntry with size 460 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsObserverService with size 44 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsObserverService with size 44 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsOnloadBlocker with size 8 bytes each (16 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsOnloadBlocker with size 8 bytes each (16 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsParser with size 128 bytes each (256 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsParser with size 128 bytes each (256 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsParserService with size 64 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsParserService with size 64 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsPermissionManager with size 88 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsPermissionManager with size 88 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 25 instances of nsPersistentProperties with size 76 bytes each (1900 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 25 instances of nsPersistentProperties with size 76 bytes each (1900 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsPref with size 40 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsPref with size 40 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 4 instances of nsPrefBranch with size 52 bytes each (208 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 4 instances of nsPrefBranch with size 52 bytes each (208 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsPrefService with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsPrefService with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 102 instances of nsPrincipal with size 72 bytes each (7344 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 102 instances of nsPrincipal with size 72 bytes each (7344 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsProperties with size 4 bytes each (12 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsProperties with size 4 bytes each (12 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 391 instances of nsPseudoClassList with size 12 bytes each (4692 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 391 instances of nsPseudoClassList with size 12 bytes each (4692 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsRDFResource with size 24 bytes each (72 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsRDFResource with size 24 bytes each (72 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsRadioVisitor with size 8 bytes each (16 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsRadioVisitor with size 8 bytes each (16 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsRect with size 16 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsRect with size 16 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsRepeatService with size 20 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsRepeatService with size 20 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsReverseStringSQLFunction with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsReverseStringSQLFunction with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsSSLStatus with size 60 bytes each (120 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsSSLStatus with size 60 bytes each (120 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsSameOriginChecker with size 12 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsSameOriginChecker with size 12 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsSampleWordBreaker with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsSampleWordBreaker with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsScanner with size 132 bytes each (264 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsScanner with size 132 bytes each (264 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 37 instances of nsScriptError with size 68 bytes each (2516 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 37 instances of nsScriptError with size 68 bytes each (2516 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsScriptLoader with size 44 bytes each (88 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsScriptLoader with size 44 bytes each (88 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsScriptLoaderObserverProxy with size 12 bytes each (24 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsScriptLoaderObserverProxy with size 12 bytes each (24 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsScriptNameSpaceManager with size 40 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsScriptNameSpaceManager with size 40 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsScriptSecurityManager with size 88 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsScriptSecurityManager with size 88 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsSimpleURI with size 4 bytes each (8 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsSimpleURI with size 4 bytes each (8 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsSocketTransportService with size 1680 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsSocketTransportService with size 1680 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 257 instances of nsStandardURL with size 180 bytes each (46260 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 257 instances of nsStandardURL with size 180 bytes each (46260 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 4 instances of nsStaticCaseInsensitiveNameTable with size 48 bytes each (192 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 4 instances of nsStaticCaseInsensitiveNameTable with size 48 bytes each (192 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsStreamConverterService with size 12 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsStreamConverterService with size 12 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1876 instances of nsStringBuffer with size 8 bytes each (15008 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1876 instances of nsStringBuffer with size 8 bytes each (15008 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 24 instances of nsStringBundle with size 36 bytes each (864 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 24 instances of nsStringBundle with size 36 bytes each (864 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsStringBundleService with size 108 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsStringBundleService with size 108 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsSupportsArray with size 52 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsSupportsArray with size 52 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsSupportsCStringImpl with size 20 bytes each (60 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 3 instances of nsSupportsCStringImpl with size 20 bytes each (60 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsSystemPrincipal with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsSystemPrincipal with size 32 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 747 instances of nsTArray_base with size 4 bytes each (2988 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 747 instances of nsTArray_base with size 4 bytes each (2988 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 464 instances of nsTextFragment with size 8 bytes each (3712 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 464 instances of nsTextFragment with size 8 bytes each (3712 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 464 instances of nsTextNode with size 36 bytes each (16704 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 464 instances of nsTextNode with size 36 bytes each (16704 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsThread with size 68 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsThread with size 68 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsTimerImpl with size 48 bytes each (288 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 6 instances of nsTimerImpl with size 48 bytes each (288 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsTokenAllocator with size 32 bytes each (64 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsTokenAllocator with size 32 bytes each (64 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 5 instances of nsURIAndPrincipalHashKey with size 12 bytes each (60 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 5 instances of nsURIAndPrincipalHashKey with size 12 bytes each (60 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 5 instances of nsURIHashKey with size 8 bytes each (40 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 5 instances of nsURIHashKey with size 8 bytes each (40 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsUnicodeNormalizer with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsUnicodeNormalizer with size 8 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsVariant with size 44 bytes each (88 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsVariant with size 44 bytes each (88 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 47 instances of nsVoidArray with size 4 bytes each (188 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 47 instances of nsVoidArray with size 4 bytes each (188 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 16 instances of nsWeakReference with size 12 bytes each (192 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 16 instances of nsWeakReference with size 12 bytes each (192 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXBLService with size 52 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXBLService with size 52 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsXMLContentSink with size 236 bytes each (472 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsXMLContentSink with size 236 bytes each (472 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsXMLDocument with size 620 bytes each (1240 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsXMLDocument with size 620 bytes each (1240 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 274 instances of nsXMLElement with size 32 bytes each (8768 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 274 instances of nsXMLElement with size 32 bytes each (8768 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 44 instances of nsXPCComponents with size 56 bytes each (2464 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 44 instances of nsXPCComponents with size 56 bytes each (2464 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 41 instances of nsXPCComponents_Classes with size 16 bytes each (656 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 41 instances of nsXPCComponents_Classes with size 16 bytes each (656 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXPCComponents_Constructor with size 16 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXPCComponents_Constructor with size 16 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXPCComponents_Exception with size 16 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXPCComponents_Exception with size 16 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 41 instances of nsXPCComponents_ID with size 16 bytes each (656 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 41 instances of nsXPCComponents_ID with size 16 bytes each (656 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 42 instances of nsXPCComponents_Interfaces with size 24 bytes each (1008 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 42 instances of nsXPCComponents_Interfaces with size 24 bytes each (1008 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 28 instances of nsXPCComponents_Results with size 16 bytes each (448 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 28 instances of nsXPCComponents_Results with size 16 bytes each (448 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 36 instances of nsXPCComponents_Utils with size 20 bytes each (720 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 36 instances of nsXPCComponents_Utils with size 20 bytes each (720 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsXPCComponents_utils_Sandbox with size 12 bytes each (24 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 2 instances of nsXPCComponents_utils_Sandbox with size 12 bytes each (24 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXPCWrappedJS with size 56 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXPCWrappedJS with size 56 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXPCWrappedJSClass with size 40 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXPCWrappedJSClass with size 40 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXPConnect with size 100 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXPConnect with size 100 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXTFService with size 40 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXTFService with size 40 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXULPopupManager with size 64 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXULPopupManager with size 64 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXULPrototypeCache with size 172 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of nsXULPrototypeCache with size 172 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of xpcPerThreadData with size 44 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of xpcPerThreadData with size 44 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of xptiFile with size 28 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of xptiFile with size 28 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 36 instances of xptiInterfaceInfo with size 16 bytes each (576 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 36 instances of xptiInterfaceInfo with size 16 bytes each (576 bytes total)
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of xptiInterfaceInfoManager with size 96 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of xptiInterfaceInfoManager with size 96 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of xptiWorkingSet with size 52 bytes
TEST-UNEXPECTED-FAIL | automationutils.processLeakLog() | leaked 1 instance of xptiWorkingSet with size 52 bytes